import { UserOutlined } from "@ant-design/icons";
import { Avatar, Tooltip } from "antd";
import { Constants } from "../../utils";

export function MyAvatar({
  avatarWidth,
  avatar,
  tooltip,
  tooltipTitle,
  allUsers,
  userId,
}) {
  const MyDefaultAvatar = () => {
    if (tooltip) {
      return (
        <Tooltip placement="top" trigger="hover" title={tooltipTitle}>
          <Avatar size={avatarWidth} icon={<UserOutlined />} />
        </Tooltip>
      );
    }

    return <Avatar size={avatarWidth} icon={<UserOutlined />} />;
  };

  if (avatar === undefined || avatar === null || avatar === "") {
    if (allUsers !== undefined && userId !== undefined) {
      const user = allUsers.find((u) => u.Id === userId);

      if (user === undefined) return <MyDefaultAvatar />;

      avatar = user.Avatar;
      tooltipTitle = user.Username;
    } else {
      return <MyDefaultAvatar />;
    }
  }

  const MyAvat = () => {
    if (avatar === "") return <MyDefaultAvatar />;

    return (
      <Avatar
        size={avatarWidth}
        src={Constants.STATIC_CONTENT_ADDRESS + "avatars/" + avatar}
      />
    );
  };

  if (tooltip) {
    return (
      <Tooltip placement="top" trigger="hover" title={tooltipTitle}>
        <>
          <MyAvat />
        </>
      </Tooltip>
    );
  }

  return <MyAvat />;
}
