import { EditOutlined } from "@ant-design/icons";
import { useState } from "react";
import { EquipmentDocumentationViewEditComponent } from ".";

export default function EditEquipmentDocumentationModal({
  stockItemId,
  documentationId,
  fetchDocumentation,
}) {
  const [isOpen, setIsOpen] = useState(false);

  return (
    <>
      <EditOutlined style={{ fontSize: 24 }} onClick={() => setIsOpen(true)} />

      <EquipmentDocumentationViewEditComponent
        createMode={false}
        isOpen={isOpen}
        onCancel={() => setIsOpen(false)}
        stockItemId={stockItemId}
        documentationId={documentationId}
        fetchDocumentation={fetchDocumentation}
      />
    </>
  );
}
